Last Comment Bug 740807 - Clean up favicon code in Panorama
: Clean up favicon code in Panorama
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 14
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 728142
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 07:51 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (15.11 KB, patch)
2012-03-30 07:51 PDT, Tim Taubert [:ttaubert]
raymond: feedback+
Details | Diff | Review
patch v2 (15.07 KB, patch)
2012-04-13 04:27 PDT, Tim Taubert [:ttaubert]
dietrich: review+
Details | Diff | Review

Description Tim Taubert [:ttaubert] 2012-03-30 07:51:23 PDT
Created attachment 610881 [details] [diff] [review]
patch v1

In the last weeks the favicon handling code in Panorama grew a lot and it really started to get messy. In fact, there's so much code now that I think it deserves its own file and should no longer remain in the "UI" object.

This depends on bug 728142 as I don't want to let this bitrot just because of some clean up.
Comment 1 Tim Taubert [:ttaubert] 2012-03-30 07:54:28 PDT
Comment on attachment 610881 [details] [diff] [review]
patch v1

Review of attachment 610881 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/tabview/favicons.js
@@ +31,5 @@
> +    Services.prefs.addObserver(this.PREF_CHROME_FAVICONS, this, false);
> +  },
> +
> +  uninit: function FavIcons_uninit() {
> +    this._favIconService = null;

I'll remove this line as we can't simply overwrite a getter and we don't need it anyway.
Comment 2 Raymond Lee [:raymondlee] 2012-04-01 21:47:51 PDT
Comment on attachment 610881 [details] [diff] [review]
patch v1

Looks good to me!
Comment 3 Tim Taubert [:ttaubert] 2012-04-13 04:27:00 PDT
Created attachment 614731 [details] [diff] [review]
patch v2

All blocking bugs are fixed. Review time!
Comment 4 Dietrich Ayala (:dietrich) 2012-04-13 15:56:05 PDT
Comment on attachment 614731 [details] [diff] [review]
patch v2

Review of attachment 614731 [details] [diff] [review]:
-----------------------------------------------------------------

looks good, r=me
Comment 5 Tim Taubert [:ttaubert] 2012-04-13 16:06:02 PDT
https://hg.mozilla.org/integration/fx-team/rev/ae940000a826
Comment 6 Tim Taubert [:ttaubert] 2012-04-14 02:45:46 PDT
https://hg.mozilla.org/mozilla-central/rev/ae940000a826

Note You need to log in before you can comment on or make changes to this bug.